<?php
/*
 * JohnCMS NEXT Mobile Content Management System (http://johncms.com)
 *
 * For copyright and license information, please see the LICENSE.md
 * Installing the system or redistributions of files must retain the above copyright notice.
 *
 * @link        http://johncms.com JohnCMS Project
 * @copyright   Copyright (C) JohnCMS Community
 * @license     GPL-3
 */

defined('_IN_JOHNCMS') or die('Error: restricted access');

/** @var Psr\Container\ContainerInterface $container */
$container = App::getContainer();

/** @var Johncms\Api\UserInterface $systemUser */
$systemUser = $container->get(Johncms\Api\UserInterface::class);

/** @var Johncms\Api\ConfigInterface $config */
$config = $container->get(Johncms\Api\ConfigInterface::class);

/** @var Johncms\Counters $counters */
$counters = $container->get('counters');

$mp = new Johncms\NewsWidget();

echo $mp->news;
echo '<div class="lmenu"> ' . $container->get('counters')->online() . '</div>';

////////////////////////////////////////////////////////////
// Блок общения                                           //
////////////////////////////////////////////////////////////
echo '<div class="razd"><b>Меню</b></div>';


echo '<div class="menu_wrapeer"><a class="menu_link_s" href="news/"><div class="menu_picat"><i class="fas fa-comment-alt fa-3x"></i></div><br> Новости<span class="cnt"> ' . $mp->newscount . '</span></a></div>';




// Ссылка на гостевую
if ($config->mod_guest || $systemUser->rights >= 7) {
   echo '<div class="menu_wrapeer"><a class="menu_link_s" href="guestbook/index.php"><div class="menu_picat"><i class="fas fa-portrait fa-3x"></i></div><br> ' . _t('Guestbook', 'system') . '<span class="cnt"> ' . $counters->guestbook() . '</span></a></div>';
}

// Ссылка на Форум
if ($config->mod_forum || $systemUser->rights >= 7) {
   echo '<div class="menu_wrapeer"><a class="menu_link_s" href="forum/"><div class="menu_picat"><i class="fas fa-comment-alt fa-3x"></i></div><br> ' . _t('Forum', 'system') . '<span class="cnt"> ' . $counters->forum() . '</span></a></div>';
}


// Ссылка на библиотеку
if ($config->mod_lib || $systemUser->rights >= 7) {
    echo '<div class="menu_wrapeer"><a class="menu_link_s" href="library/"><div class="menu_picat"><i class="fas fa-feather fa-3x"></i></div><br> ' . _t('Library', 'system') . '<span class="cnt"> ' . $counters->library() . '</span></a></div>';
}


////////////////////////////////////////////////////////////
// Блок Сообщества                                        //
////////////////////////////////////////////////////////////
if ($systemUser->isValid() || $config->active) {

    echo '<div class="menu_wrapeer"><a class="menu_link_s" href="users/index.php"><div class="menu_picat"><i class="fas fa-user-friends fa-3x"></i></div><br> ' . _t('Users', 'system') . '<span class="cnt"> ' . $counters->users() . '</span></a></div>';
    echo '<div class="menu_wrapeer"><a class="menu_link_s" href="album/index.php"><div class="menu_picat"><i class="fas fa-camera fa-3x"></i></div><br> ' . _t('Photo Albums', 'system') . '<span class="cnt"> ' . $counters->album() . '</span></a></div>';
}



